Bug 109367 - rpm -e produces Segmentation Fault
rpm -e produces Segmentation Fault
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rpm (Show other bugs)
2.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-07 00:55 EST by Need Real Name
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-17 16:23:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output from the command that is segmentation faulting (54.61 KB, text/plain)
2003-11-07 01:04 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2003-11-07 00:55:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
McKesson Corporation; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
Attempting to remove any packages gives this result:

[root@ddcdxt01 tmp]# rpm -e cdrecord-devel
Segmentation fault
[root@ddcdxt01 tmp]# rpm -e -vv cdrecord-devel
D: opening  db environment /var/lib/rpm/Packages create:mpool
D: opening  db index       /var/lib/rpm/Packages  mode=0x82
D: locked   db index       /var/lib/rpm/Packages
D: opening  db index       /var/lib/rpm/Name  mode=0x82
D: ========== --- cdrecord-devel-1.10-4
D: opening  db index       /var/lib/rpm/Requirename  mode=0x82
D: opening  db index       /var/lib/rpm/Basenames  mode=0x82
D:     erase: cdrecord-devel-1.10-4 has 47 files, test = 0
Segmentation fault
[root@ddcdxt01 tmp]# 

Version-Release number of selected component (if applicable):
rpm-4.0.4-7x.20

How reproducible:
Always

Steps to Reproduce:
1.Attempt to remove an existing RPM package

    

Actual Results:  Segmentation Fault and the RPM is not removed

Expected Results:  RPM should be removed

Additional info:

I have strace output available upon request.  This issue is being 
tracked by ticket number 268077 by RedHat 24X7 support.
Comment 1 Matt Wilson 2003-11-07 00:57:57 EST
rm /var/lib/rpm/__*
rpm --rebuilddb

try to reproduce after that
Comment 2 Need Real Name 2003-11-07 01:01:57 EST
Same result (this was my second time trying this as the engineer I 
spoke to Thursday evening suggested this early on).


[root@ddcdxt01 tmp]# rm -f /var/lib/rpm/__*
[root@ddcdxt01 tmp]# rpm --rebuilddb
[root@ddcdxt01 tmp]# rpm -e cdrecord-devel
Segmentation fault
[root@ddcdxt01 tmp]#
Comment 3 Need Real Name 2003-11-07 01:04:42 EST
Created attachment 95788 [details]
strace output from the command that is segmentation faulting

strace is from the following command:

rpm -e cdrecord-devel
Comment 4 Jeff Johnson 2003-12-27 15:34:24 EST
Is this still a problem?

I suspect doing --rebuilddb with rpm-4.1 or later will
fix your problem.

If you give me a ptr (i.e. URL) to a tarball of /var/lib/rpm,
then I will mail you back a fixed copy of your rpmdb
Comment 5 Suzanne Hillman 2004-02-17 16:23:02 EST
As it's been almost two months in the NEEDINFO state, I'm closing
this. If it is still a problem, please reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.